%define name python-GnuPG-Interface
%define version 0.3.2
%define release %mkrel 1
%define oname GnuPGInterface

Summary: GnuPG-Interface module for python
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://py-gnupg.sourceforge.net/download/%{oname}-%{version}.tar.bz2
License: LGPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://py-gnupg.sourceforge.net/
BuildRequires: python-devel
BuildRequires:  gnupg
BuildArch:	noarch

%description
This module provides Python bindings for the GnuPG.

%prep
%setup -q -n %oname-%version
chmod 644 ./*

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf %buildroot 
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog MANIFEST NEWS README THANKS
%_libdir/python%pyver/site-packages/GnuPGInterface.py
%_libdir/python%pyver/site-packages/GnuPGInterface.pyc

%changelog
* Wed May  3 2006 Jerome Martin <jmartin@mandriva.org> 0.3.2-1mdk
- Initial version
